Set Catalog configuration

Replaces the Catalog configuration for one cloud-linked Project. M0 supports recommended and all modes; custom mode is reserved for M1.

Operation IDsetPlaybookProjectCatalogs
put/v3/playbook/projects/{projectSlug}/catalogs
Example requestcURL
curl -X PUT 'https://api.sumr.co/v3/playbook/projects/{projectSlug}/catalogs' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{"catalogs":[{"catalogRef":"example","mode":"recommended","resourceRefs":["example"]}]}'

Path parameters

projectSlugrequired

Cloud-linked Project slug inside the current account.

string

Body

SetPlaybookProjectCatalogsRequestDtoapplication/json
{
  "catalogs": [
    {
      "catalogRef": "example",
      "mode": "recommended",
      "resourceRefs": [
        "example"
      ]
    }
  ]
}

Responses

200Updated Project Catalog configuration.
PlaybookProjectCatalogsDto
{
  "properties": {
    "catalogs": {
      "items": {
        "properties": {
          "catalog": {
            "properties": {
              "archivedAt": {
                "format": "date-time",
                "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
                "type": "string"
              },
              "createdAt": {
                "format": "date-time",
                "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
                "type": "string"
              },
              "currentVersion": {
                "properties": {
                  "id": {
                    "format": "uuid",
                    "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
                    "type": "string"
                  },
                  "manifestHash": {
                    "maxLength": 128,
                    "minLength": 32,
                    "type": "string"
                  },
                  "publishedAt": {
                    "format": "date-time",
                    "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
                    "type": "string"
                  },
                  "resourceCount": {
                    "maximum": 9007199254740991,
                    "minimum": 0,
                    "type": "integer"
                  },
                  "resourcePins": {
                    "items": {
                      "properties": {
                        "contentHash": {
                          "maxLength": 128,
                          "minLength": 32,
                          "type": "string"
                        },
                        "resourceHumanRef": {
                          "maxLength": 260,
                          "minLength": 5,
                          "pattern": "^(sumr|org)\\/[a-z0-9]+(?:-[a-z0-9]+)*\\/[a-z0-9]+(?:-[a-z0-9]+)*$",
                          "type": "string"
                        },
                        "resourceId": {
                          "format": "uuid",
                          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
                          "type": "string"
                        },
                        "resourceVersionId": {
                          "format": "uuid",
                          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
                          "type": "string"
                        },
                        "version": {
                          "maxLength": 80,
                          "minLength": 1,
                          "type": "string"
                        }
                      },
                      "required": [
                        "resourceId",
                        "resourceHumanRef",
                        "resourceVersionId",
                        "version",
                        "contentHash"
                      ],
                      "type": "object"
                    },
                    "type": "array"
                  },
                  "version": {
                    "maxLength": 80,
                    "minLength": 1,
                    "type": "string"
                  }
                },
                "required": [
                  "id",
                  "version",
                  "resourcePins",
                  "manifestHash",
                  "resourceCount"
                ],
                "type": "object"
              },
              "description": {
                "maxLength": 1000,
                "type": "string"
              },
              "facets": {
                "properties": {
                  "capability": {
                    "items": {
                      "maxLength": 80,
                      "minLength": 1,
                      "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "channel": {
                    "items": {
                      "maxLength": 80,
                      "minLength": 1,
                      "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "framework": {
                    "items": {
                      "maxLength": 80,
                      "minLength": 1,
                      "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "planAccess": {
                    "items": {
                      "maxLength": 80,
                      "minLength": 1,
                      "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "technology": {
                    "items": {
                      "maxLength": 80,
                      "minLength": 1,
                      "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
                      "type": "string"
                    },
                    "type": "array"
                  }
                },
                "type": "object"
              },
              "humanRef": {
                "maxLength": 180,
                "minLength": 3,
                "pattern": "^(sumr|org)\\/[a-z0-9]+(?:-[a-z0-9]+)*$",
                "type": "string"
              },
              "id": {
                "format": "uuid",
                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
                "type": "string"
              },
              "name": {
                "maxLength": 160,
                "minLength": 1,
                "type": "string"
              },
              "owner": {
                "enum": [
                  "sumr",
                  "org"
                ],
                "type": "string"
              },
              "slug": {
                "maxLength": 120,
                "minLength": 1,
                "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
                "type": "string"
              },
              "sourceScope": {
                "enum": [
                  "sumr",
                  "account"
                ],
                "type": "string"
              },
              "status": {
                "enum": [
                  "draft",
                  "active",
                  "archived"
                ],
                "type": "string"
              },
              "updatedAt": {
                "format": "date-time",
                "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
                "type": "string"
              }
            },
            "required": [
              "id",
              "sourceScope",
              "owner",
              "slug",
              "humanRef",
              "name",
              "status",
              "createdAt",
              "updatedAt"
            ],
            "type": "object"
          },
          "catalogId": {
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
            "type": "string"
          },
          "catalogRef": {
            "maxLength": 180,
            "minLength": 3,
            "pattern": "^(sumr|org)\\/[a-z0-9]+(?:-[a-z0-9]+)*$",
            "type": "string"
          },
          "createdAt": {
            "format": "date-time",
            "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
            "type": "string"
          },
          "id": {
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
            "type": "string"
          },
          "mode": {
            "enum": [
              "recommended",
              "all",
              "custom"
            ],
            "type": "string"
          },
          "projectId": {
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
            "type": "string"
          },
          "resolvedCatalogVersionId": {
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
            "type": "string"
          },
          "resolvedResourceCount": {
            "maximum": 9007199254740991,
            "minimum": 0,
            "type": "integer"
          },
          "resourceRefs": {
            "items": {
              "maxLength": 260,
              "minLength": 5,
              "pattern": "^(sumr|org)\\/[a-z0-9]+(?:-[a-z0-9]+)*\\/[a-z0-9]+(?:-[a-z0-9]+)*$",
              "type": "string"
            },
            "type": "array"
          },
          "updatedAt": {
            "format": "date-time",
            "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
            "type": "string"
          }
        },
        "required": [
          "id",
          "projectId",
          "catalogId",
          "catalogRef",
          "mode",
          "catalog",
          "createdAt",
          "updatedAt"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "project": {
      "properties": {
        "archivedAt": {
          "format": "date-time",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
          "type": "string"
        },
        "createdAt": {
          "format": "date-time",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
          "type": "string"
        },
        "description": {
          "maxLength": 1000,
          "type": "string"
        },
        "id": {
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
          "type": "string"
        },
        "localProjectId": {
          "maxLength": 160,
          "type": "string"
        },
        "metadata": {
          "additionalProperties": {},
          "propertyNames": {
            "type": "string"
          },
          "type": "object"
        },
        "name": {
          "maxLength": 180,
          "minLength": 1,
          "type": "string"
        },
        "repoUrl": {
          "maxLength": 500,
          "type": "string"
        },
        "slug": {
          "maxLength": 120,
          "minLength": 1,
          "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
          "type": "string"
        },
        "status": {
          "enum": [
            "active",
            "archived"
          ],
          "type": "string"
        },
        "updatedAt": {
          "format": "date-time",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
          "type": "string"
        }
      },
      "required": [
        "id",
        "slug",
        "name",
        "status",
        "createdAt",
        "updatedAt"
      ],
      "type": "object"
    }
  },
  "required": [
    "project",
    "catalogs"
  ],
  "type": "object"
}